Page MenuHomePhabricator

[Story] Handling of identifier in the article placeholder
Closed, ResolvedPublic

Description

Adjust to proper handle identifier in Lua now that the new identifier datatype is deployed.

  • check for the datatype instead of having a hardcoded list
  • remove the old list with the Lua table of identifier

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterProperly handle identifier
mediawiki/extensions/ArticlePlaceholder : masterHandle identifier properly
mediawiki/extensions/ArticlePlaceholder : masterAdd the handling of identifiers

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedTobi_WMDE_SW
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedaude
Resolveddaniel
Resolveddaniel

Event Timeline

Lucie created this task.Nov 15 2015, 8:01 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2015, 8:01 PM
Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Nov 20 2015, 5:48 PM

Change 254445 had a related patch set uploaded (by Lucie Kaffee):
Add the handling of identifiers

https://gerrit.wikimedia.org/r/254445

Change 254445 merged by jenkins-bot:
Add the handling of identifiers

https://gerrit.wikimedia.org/r/254445

Lucie set Security to None.
Lucie moved this task from Doing to Review on the ArticlePlaceholder board.Nov 26 2015, 1:34 PM
Lydia_Pintscher renamed this task from [Story] Handling of identifier to [Story] Handling of identifier in the article placeholder.Dec 1 2015, 10:19 AM
Lucie moved this task from Proposed to Done on the Wikidata-Sprint-2015-12-01 board.
Lucie moved this task from Review to Incoming on the ArticlePlaceholder board.
Lucie added a comment.Dec 5 2015, 2:20 PM

Resolved, kept open for the time Wikibase has an identifier datatype.

Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Apr 1 2016, 11:56 AM
Lucie updated the task description. (Show Details)
Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Apr 1 2016, 2:57 PM

Change 281048 had a related patch set uploaded (by Lucie Kaffee):
Handle identifier properly

https://gerrit.wikimedia.org/r/281048

Lucie moved this task from Doing to Review on the ArticlePlaceholder board.Apr 2 2016, 12:55 PM
Lucie moved this task from Review to Done on the ArticlePlaceholder board.Apr 13 2016, 2:27 PM

Change 281048 merged by jenkins-bot:
Handle identifier properly

https://gerrit.wikimedia.org/r/281048

Lydia_Pintscher closed this task as Resolved.Apr 21 2016, 11:48 AM